.popup__bg {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.5);
    opacity: 0;
    pointer-events: none;
    transition: 0.5s all;
}

.popup__bg.active {
    opacity: 1;
    pointer-events: all;
    transition: 0.5s all;
    z-index: 15;
}

.popup {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0);
    width: 100%;
    transition: 0.5s all;
    max-width: 836px;
    padding: 0 10px;
}

.popup.active {
    transform: translate(-50%, -50%) scale(1);
    transition: 0.5s all;
}

.popup__block {
    padding: 27px 20px 27px;
    background-color: #FFFFFF;
    box-shadow: 0 7px 21px rgba(83, 92, 105, .12), 0 -1px 6px 0 rgba(83, 92, 105, .06);
    display: flex;
    flex-direction: column;
    max-width: 836px;
    width: 100%;
    border-radius: 4px;
    position: relative;
}

.popup__main-elements {
    display: flex;
    height: 49px;
}

.error {
    padding: 20px;
    text-align: center;
}

.popup__button-block {
    display: block;
    text-align: center;
    padding: 20px 0 10px;
    position: relative;
}

.popup__error {
    font: 600 16px / 1.4 var(--font-family-onest);
    color: #80868E;
    display: inline-block;
    max-width: 100%;
    line-height: 49px;
    overflow: hidden;
    padding: 0 30px 0 4px;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.popup__close {
    display: block;
    position: absolute;
    width: 15px;
    height: 15px;
    top: 15px;
    right: 15px;
    background-image: url('/images/close.svg');
    background-repeat: no-repeat;
    background-size: cover;
    cursor: pointer;
}

.popup__button {
    display: block;
    max-width: 144px;
    margin: 0 auto;
    cursor: pointer;
}

.popup__bg-video {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.5);
    opacity: 0;
    pointer-events: none;
    transition: 0.5s all;
}

.popup__bg-video.active {
    opacity: 1;
    pointer-events: all;
    transition: 0.5s all;
    z-index: 15;
}

.popup-video {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0);
    width: 100%;
    transition: 0.5s all;
    max-width: 836px;
    padding: 0 10px;
}

.popup-video.active {
    transform: translate(-50%, -50%) scale(1);
    transition: 0.5s all;
}